- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
CSL_AcInitStructApp Struct Reference
USB AC Data Structures

Audio Class application data structure. More...

`#include <csl_audioClass.h>`

## Data Fields
void * | pAcObj
| Pointer to Audio Class Handle defined in AC Module.
Uint16 | pId
| Device Descriptor units.
Uint16 | vId
| Device Descriptor units.
Uint16 | numLun
| Logical unit number.
Uint16 | txPktSize
| Size of the Tx packet for Isochronous end points.
Uint16 | rxPktSize
| Size of the Rx packet for Isochronous end points.
char ** | strDescrApp
| User specific string descriptor pointer.
Uint16 * | lbaBufferApp
| Buffer ptr passed by the system to the module in order to enable data transfer to/from the media/USB API layer.
CSL_AcRequestStruct * | acReqTableApp
| Pointer to the request Table which is specified by user.
void(* | isoHandler )()
| Pointer to the Iso Function Handler which is needed during Configuration of the Iso Endpoint.
void(* | ctrlHandler )()
| Pointer to the Control Function Handler which is needed during Configuration of the Control Endpoint.
CSL_AcMediaStatus(* | playAudioApp )(Uint16, Uint16 *, Uint16 *, void *)
| Function to Play Audio data.
CSL_AcMediaStatus(* | stopAudioApp )(Uint16, void *)
| Function to stop Audio playback.
CSL_AcMediaStatus(* | recordAudioApp )(Uint16, Uint16 *, Uint16 *, void *)
| Function for record audio data.
CSL_AcMediaStatus(* | mediaGetPresentStateApp )(Uint16)
| Function checks for Media Present etc.
CSL_AcMediaStatus(* | mediaInitApp )(Uint16)
| Function Handler for Init Media.
CSL_AcMediaStatus(* | mediaEjectApp )(Uint16)
| Function to eject Media.
CSL_AcMediaStatus(* | mediaLockUnitApp )(Uint16, CSL_AcMediaLockStatus)
| Function to lock Media.
Uint32(* | getMediaSizeApp )(Uint16)
| Function to get the size of the media.

## Detailed Description

Audio Class application data structure.

Holds the structure used by the application to fill in application specific data handler

The documentation for this struct was generated from the following file:

- csl_audioClass.h